<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.mapper.WorkOrderMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.domain.WorkOrder">
            <id property="orderId" column="order_id" jdbcType="BIGINT"/>
            <result property="orderNo" column="order_no" jdbcType="VARCHAR"/>
            <result property="alarmId" column="alarm_id" jdbcType="VARCHAR"/>
            <result property="caseId" column="case_id" jdbcType="BIGINT"/>
            <result property="caseNo" column="case_no" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="deviceCode" column="device_code" jdbcType="VARCHAR"/>
            <result property="orderType" column="order_type" jdbcType="TINYINT"/>
            <result property="orderLevel" column="order_level" jdbcType="TINYINT"/>
            <result property="orderDesc" column="order_desc" jdbcType="VARCHAR"/>
            <result property="deptId" column="dept_id" jdbcType="BIGINT"/>
            <result property="dispatchUser" column="dispatch_user" jdbcType="BIGINT"/>
            <result property="dispatchTime" column="dispatch_time" jdbcType="TIMESTAMP"/>
            <result property="receiveUser" column="receive_user" jdbcType="VARCHAR"/>
            <result property="orderStatus" column="order_status" jdbcType="TINYINT"/>
            <result property="delayedReason" column="delayed_reason" jdbcType="VARCHAR"/>
            <result property="delayedDeadline" column="delayed_deadline" jdbcType="TIMESTAMP"/>
            <result property="planFinishTime" column="plan_finish_time" jdbcType="TIMESTAMP"/>
            <result property="realFinishTime" column="real_finish_time" jdbcType="TIMESTAMP"/>
            <result property="repairResult" column="repair_result" jdbcType="VARCHAR"/>
            <result property="workImage" column="work_image" jdbcType="VARCHAR"/>
            <result property="verifyUser" column="verify_user" jdbcType="BIGINT"/>
            <result property="verifyTime" column="verify_time" jdbcType="TIMESTAMP"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        order_id,order_no,alarm_id,
        case_id,case_no,device_id,
        device_code,order_type,order_level,
        order_desc,dept_id,dispatch_user,
        dispatch_time,receive_user,order_status,
        delayed_reason,delayed_deadline,plan_finish_time,
        real_finish_time,repair_result,work_image,verify_user,
        verify_time,create_time,update_time
    </sql>
</mapper>
